Bug 786611 - drift diff is different depending on order in which files are selected
drift diff is different depending on order in which files are selected
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
All All
medium Severity medium (vote)
: ---
: JON 3.0.1
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On: jon30-sprint10/rhq43-sprint10 765592
Blocks: 707225 jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-02-01 17:07 EST by Charles Crouch
Modified: 2015-02-01 18:27 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 765592
Environment:
Last Closed: 2013-09-03 11:02:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2012-02-01 17:07:24 EST
+++ This bug was initially created as a clone of Bug #765592 +++

go to carousel. say I have snapshot 2 and snapshot 1 that both show drift for file "foo.txt".

select foo.txt in snapshot 2, then select foo.txt in snapshot 1. then "compare" and you see the diff

now deselect everything and now select the files in reverse order (select the one in SS 1, then in SS 2) and do "compare" and notice the diff represents the opposite

that is, for example, the lines that were DELETED in the first compare are now ADDED in the second compare because I changed the order of the files.

We want to compare the oldest as "first" and the newest as "second", always

--- Additional comment from jshaughn@redhat.com on 2011-12-09 14:46:38 EST ---

master commit 5938a790c0aeb32865f4b115e721de22220ca100

Fixed, the new changes will now always get the "+" prefixes and the older
will get the "-" prefixes.

--- Additional comment from mfoley@redhat.com on 2011-12-12 10:31:39 EST ---

verified RHQ 4.3 master branch
Comment 3 Simeon Pinder 2012-02-09 15:03:55 EST
Moving this to ON_QA as new RC3 binary available here:
https://brewweb.devel.redhat.com//buildinfo?buildID=198086
Comment 4 Sunil Kondkar 2012-02-10 06:27:37 EST
Verified on Version: 3.0.1.GA RC3 build. (Build Number: dd8a001:0ba18fd)

Compared the drift diff by changing the order of file selection. Verified that New changes have "+" prefixes and the older have "-" prefixes.
Comment 5 Heiko W. Rupp 2013-09-03 11:02:03 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.